DeleteEvent (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class DeleteEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.DeleteEvent

All Implemented Interfaces:
  Serializable

    public class DeleteEvent

extends AbstractEvent

Defines an event class for the deletion of an entity.

See Also:
  Serialized Form

Constructor Summary
`DeleteEvent(Object object, EventSource source)` Constructs a new DeleteEvent instance.
`DeleteEvent(String entityName, Object object, boolean isCascadeDeleteEnabled, EventSource source)`
`DeleteEvent(String entityName, Object object, EventSource source)`

Method Summary
`String` | `getEntityName()`
`Object` | `getObject()` Returns the encapsulated entity to be deleed.
`boolean` | `isCascadeDeleteEnabled()`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteEvent

    public DeleteEvent(Object object,
                       EventSource source)

  Constructs a new DeleteEvent instance.

  Parameters:
    `object` - The entity to be deleted.
    `source` - The session from which the delete event was generated.

### DeleteEvent

    public DeleteEvent(String entityName,
                       Object object,
                       EventSource source)

### DeleteEvent

    public DeleteEvent(String entityName,
                       Object object,
                       boolean isCascadeDeleteEnabled,
                       EventSource source)

Method Detail

### getObject

    public Object getObject()

  Returns the encapsulated entity to be deleed.

  Returns:
    The entity to be deleted.

### getEntityName

    public String getEntityName()

### isCascadeDeleteEnabled

    public boolean isCascadeDeleteEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.